Package Scientific :: Package Geometry :: Module Transformation

[frames] | no frames]

# Module Transformation

Linear transformations in 3D space

Classes
| Inversion
| LinearTransformation General linear transformation.
| RigidBodyTransformation Combination of translations and rotations
| Rotation Rotational transformation
| RotationTranslation Combined translational and rotational transformation.
| Scaling Scaling
| Shear
| Transformation Linear coordinate transformation.
| Translation Translational transformation

Functions

angleFromSineAndCosine(y, x) |

mod_angle(angle, mod) |